# Gemini Cloud Assist API

The AI-powered assistant for Google Cloud.

- [REST Resource: v1alpha.projects.locations](https://docs.cloud.google.com/cloud-assist/reference/rest#v1alpha.projects.locations)
- [REST Resource: v1alpha.projects.locations.investigations](https://docs.cloud.google.com/cloud-assist/reference/rest#v1alpha.projects.locations.investigations)
- [REST Resource: v1alpha.projects.locations.investigations.revisions](https://docs.cloud.google.com/cloud-assist/reference/rest#v1alpha.projects.locations.investigations.revisions)
- [REST Resource: v1alpha.projects.locations.operations](https://docs.cloud.google.com/cloud-assist/reference/rest#v1alpha.projects.locations.operations)

## Service: geminicloudassist.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://geminicloudassist.googleapis.com/$discovery/rest?version=v1alpha>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://geminicloudassist.googleapis.com`

## REST Resource: [v1alpha.projects.locations](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations/get` | `GET /v1alpha/{name=projects/*/locations/*}` Gets information about a location. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations/list` | `GET /v1alpha/{name=projects/*}/locations` Lists information about the supported locations for this service. |

## REST Resource: [v1alpha.projects.locations.investigations](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/create (deprecated)` | `POST /v1alpha/{parent=projects/*/locations/*}/investigations` Deprecated: Investigations should only be created by the agent. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/delete` | `DELETE /v1alpha/{name=projects/*/locations/*/investigations/*}` Deletes a single Investigation. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/get` | `GET /v1alpha/{name=projects/*/locations/*/investigations/*}` Gets details of a single Investigation. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/getIamPolicy` | `GET /v1alpha/{resource=projects/*/locations/*/investigations/*}:getIamPolicy` Gets the access control policy for a resource. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/list` | `GET /v1alpha/{parent=projects/*/locations/*}/investigations` Lists Investigations in a given project and location. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/patch (deprecated)` | `PATCH /v1alpha/{investigation.name=projects/*/locations/*/investigations/*}` Deprecated: Investigations should only be modified by the agent. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/setIamPolicy` | `POST /v1alpha/{resource=projects/*/locations/*/investigations/*}:setIamPolicy` Sets the access control policy on the specified resource. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/testIamPermissions` | `POST /v1alpha/{resource=projects/*/locations/*/investigations/*}:testIamPermissions` Returns permissions that a caller has on the specified resource. |

## REST Resource: [v1alpha.projects.locations.investigations.revisions](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/create (deprecated)` | `POST /v1alpha/{parent=projects/*/locations/*/investigations/*}/revisions` Deprecated: Investigations should only be modified by the agent. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/delete` | `DELETE /v1alpha/{name=projects/*/locations/*/investigations/*/revisions/*}` Deletes a single revision of an Investigation. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/get` | `GET /v1alpha/{name=projects/*/locations/*/investigations/*/revisions/*}` Gets details of a single revision of an Investigation. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/list` | `GET /v1alpha/{parent=projects/*/locations/*/investigations/*}/revisions` Lists Investigations in a given project. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run (deprecated)` | `POST /v1alpha/{name=projects/*/locations/*/investigations/*/revisions/*}:run` Deprecated: Investigations should only be run by the agent. |

## REST Resource: [v1alpha.projects.locations.operations](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.operations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.operations/cancel` | `POST /v1alpha/{name=projects/*/locations/*/operations/*}:cancel` Starts asynchronous cancellation on a long-running operation. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.operations/delete` | `DELETE /v1alpha/{name=projects/*/locations/*/operations/*}` Deletes a long-running operation. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.operations/get` | `GET /v1alpha/{name=projects/*/locations/*/operations/*}` Gets the latest state of a long-running operation. |
| `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.operations/list` | `GET /v1alpha/{name=projects/*/locations/*}/operations` Lists operations that match the specified filter in the request. |